package de.visone.nlpext.gui;

import de.visone.base.Mediator;
import de.visone.gui.tabs.AbstractAlgorithmCard;

/**
 * Abstract NLP card. Not much, but still contains the parts that are most
 * annoying if forgotten...
 * 
 * @author matthias
 */
public abstract class AbstractNLPCard extends AbstractAlgorithmCard {
	public AbstractNLPCard(final String cardName, final Mediator mediator) {
		super(cardName, mediator);
	}

	@Override
	public abstract String getApplyText();

	@Override
	public final boolean canWorkOnCopy() {
		return false;
	}

	@Override
	public boolean enableSourceSelectionBox() {
		// neither applies to any network; all are network generations
		return false;
	}

	@Override
	public boolean canExecute() {
		return allOptionsHaveValues();
	}
}